{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.services.openssh;
in {
  config = lib.mkIf cfg.enable {
    services.openssh.extraConfig = ''
      PermitRootLogin prohibit-password
    '';
  };
}
